"use strict";
class AddPlatformCommand {
    constructor($platformService, $errors) {
        this.$platformService = $platformService;
        this.$errors = $errors;
        this.allowedParameters = [];
    }
    execute(args) {
        return (() => {
            this.$platformService.addPlatforms(args).wait();
        }).future()();
    }
    canExecute(args) {
        return (() => {
            if (!args || args.length === 0) {
                this.$errors.fail("No platform specified. Please specify a platform to add");
            }
            _.each(args, arg => this.$platformService.validatePlatform(arg));
            return true;
        }).future()();
    }
}
exports.AddPlatformCommand = AddPlatformCommand;
$injector.registerCommand("platform|add", AddPlatformCommand);
