"use strict";
class UpdatePlatformCommand {
    constructor($platformService, $errors) {
        this.$platformService = $platformService;
        this.$errors = $errors;
        this.allowedParameters = [];
    }
    execute(args) {
        return (() => {
            this.$platformService.updatePlatforms(args).wait();
        }).future()();
    }
    canExecute(args) {
        return (() => {
            if (!args || args.length === 0) {
                this.$errors.fail("No platform specified. Please specify platforms to update.");
            }
            _.each(args, arg => this.$platformService.validatePlatform(arg.split("@")[0]));
            return true;
        }).future()();
    }
}
exports.UpdatePlatformCommand = UpdatePlatformCommand;
$injector.registerCommand("platform|update", UpdatePlatformCommand);
