"use strict";
const net = require("net");
const Future = require("fibers/future");
class Net {
    constructor($logger) {
        this.$logger = $logger;
    }
    getFreePort() {
        return (() => {
            let server = net.createServer((sock) => { });
            let createServerFuture = new Future();
            server.listen(0, () => {
                let portUsed = server.address().port;
                server.close();
                if (!createServerFuture.isResolved()) {
                    createServerFuture.return(portUsed);
                }
            });
            server.on("error", (err) => {
                if (!createServerFuture.isResolved()) {
                    createServerFuture.throw(err);
                }
            });
            return createServerFuture.wait();
        }).future()();
    }
}
exports.Net = Net;
$injector.register("net", Net);
